# Gdk::DeviceManager Class Reference

TODO. More...

Inheritance diagram for Gdk::DeviceManager:
[legend]
Collaboration diagram for Gdk::DeviceManager:
[legend]

List of all members.

## Public Member Functions

virtual | ~DeviceManager ()
GdkDeviceManager* | gobj ()
| Provides access to the underlying C GObject.
const GdkDeviceManager* | gobj () const
| Provides access to the underlying C GObject.
GdkDeviceManager* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Display > | get_display ()
Glib::RefPtr< const Display > | get_display () const
Glib::ListHandle< Glib::RefPtr < Device > > | list_devices (DeviceType type)
Glib::ListHandle< Glib::RefPtr < const Device > > | list_devices (DeviceType type) const
Glib::RefPtr< Device > | get_client_pointer ()
Glib::RefPtr< const Device > | get_client_pointer () const

## Protected Member Functions

| DeviceManager ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gdk::DeviceManager > | wrap (GdkDeviceManager* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

TODO.

Since gtkmm 2.26:

## Constructor & Destructor Documentation

virtual Gdk::DeviceManager::~DeviceManager | ( | ) | `[virtual]`

Gdk::DeviceManager::DeviceManager | ( | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<Device> Gdk::DeviceManager::get_client_pointer | ( | ) |

Glib::RefPtr<const Device> Gdk::DeviceManager::get_client_pointer | ( | ) | const

Glib::RefPtr<const Display> Gdk::DeviceManager::get_display | ( | ) | const

Glib::RefPtr<Display> Gdk::DeviceManager::get_display | ( | ) |

const GdkDeviceManager* Gdk::DeviceManager::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdkDeviceManager* Gdk::DeviceManager::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdkDeviceManager* Gdk::DeviceManager::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::ListHandle< Glib::RefPtr<const Device> > Gdk::DeviceManager::list_devices | ( | DeviceType | type ) | const

Glib::ListHandle< Glib::RefPtr<Device> > Gdk::DeviceManager::list_devices | ( | DeviceType | type ) |

## Friends And Related Function Documentation

Glib::RefPtr< Gdk::DeviceManager > wrap | ( | GdkDeviceManager * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdkmm/devicemanager.h